Summary: PaX aware and related utilities for ELF binaries
Name: pax-utils
Version: 0.9.1
Release: 1%{?dist}
# http://packages.gentoo.org/package/app-misc/pax-utils
URL: http://hardened.gentoo.org/pax-utils.xml
Source0: http://distfiles.gentoo.org/distfiles/%{name}-%{version}.tar.xz
License: GPLv2
BuildRequires: libcap-devel
# required for testsuite
BuildRequires: python-pyelftools

%description
pax-utils is a small set of various PaX aware and related utilities for
ELF binaries. It was written for ELF Q/A on Gentoo systems but can be
used on any distro.

%prep
%setup -q

%build
%configure --with-caps
%{__make} %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%check
make check

%files
%defattr(-,root,root,-)
%doc BUGS COPYING README TODO
%{_bindir}/dumpelf
%{_bindir}/lddtree
%{_bindir}/pspax
%{_bindir}/scanelf
%{_bindir}/scanmacho
%{_bindir}/symtree
%{_mandir}/man1/dumpelf.1*
%{_mandir}/man1/pspax.1*
%{_mandir}/man1/scanelf.1*
%{_mandir}/man1/scanmacho.1*

%changelog
* Tue Oct 28 2014 Dominik Mierzejewski <rpm@greysector.net> - 0.9.1-1
- update to 0.9.1
- adapt specfile to upstream introduction of autotools
- drop obsolete specfile parts

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 26 2014 Dominik Mierzejewski <rpm@greysector.net> - 0.8.1-1
- update to 0.8.1

* Wed Jul 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.7-2
- Fix build with unversioned %%{_docdir_fmt}.

* Fri Apr 12 2013 Dominik Mierzejewski <rpm@greysector.net> 0.7-1
- updated to 0.7

* Mon Mar 25 2013 Dominik Mierzejewski <rpm@greysector.net> 0.6-1
- updated to 0.6

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 15 2012 Dominik Mierzejewski <rpm@greysector.net> 0.5-1
- updated to 0.5
- added testsuite call

* Tue Sep 04 2012 Dominik Mierzejewski <rpm@greysector.net> 0.4-1
- updated to 0.4
- enabled libcap support

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 07 2010 Dominik Mierzejewski <rpm@greysector.net> 0.2.1-1
- updated to 0.2.1, upstream changelog:
  Fix garbage in symbol matching output.

* Tue Feb 09 2010 Dominik Mierzejewski <rpm@greysector.net> 0.2-1
- updated to 0.2
- updated file list

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Dominik Mierzejewski <rpm@greysector.net> 0.1.19-1
- updated to 0.1.19
- fix installed binaries permissions

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 30 2008 Dominik Mierzejewski <rpm@greysector.net> 0.1.17-1
- initial build
